Subject: [ANNOUNCE] GNU Emacs 19.12 Binaries for Linux
From: Rik Faith <[email-masked]>
Date: Thu, 3 Jun 1993 20:26:19 GMT
Newsgroups: comp.os.linux.announce

I have uploaded Linux binaries for GNU Emacs 19.12 to:
    sunsite.unc.edu (/pub/Linux/apps/editors/emacs-19.12)
    tsx-11.mit.edu (/pub/linux/packages/emacs-19.12)

Please get emacs-19.12-A.Notes if you want instructions on how to build
Emacs 19.12 from the source distribution.  There are no patches.  The
emacs-19.12-A.Notes file also contains information on how to build emacs19
with gcc 2.4.0 -- these problems should be fixed with gcc 2.4.1.

Please get the following gzip'd tar files to install the binary release:
    emacs-19.12-A.bin.1of5.tar.z                 binaries
    emacs-19.12-A.bin.2of5.tar.z                 binaries
    emacs-19.12-A.bin.3of5.tar.z                 lisp
    emacs-19.12-A.bin.4of5.tar.z                 lisp
    emacs-19.12-A.bin.5of5.tar.z                 lisp
    console.el                                   for console mode (preliminary)

Each tar.z file should fit on a 1.2MB floppy.

console.el was contributed by Robert Sanders ([email-masked]).
If you place it in /usr/lib/emacs/site-lisp/term, then it should get loaded
automatically when your TERM is "console" (this should be the case when you
are logged in under console mode).

The binaries are linked shared with:
        libX11.so.3 (DLL Jump 3.0pl0)
        libc.so.4 (DLL Jump 4.3pl3)
        libm.so.4 (DLL Jump 4.3pl3)

You can strip the binaries -- they are unstripped so that you can produce a
backtrace if necessary for debugging purposed.  Later binary releases will
have them all stripped.

*** FOR THE FUTURE ***

The goal of the past week's binary releases have been to make test versions
of Emacs 19 available as fast as possible.  The releases have been built
from pristine FSF source code, and include (baring errors and omissions on
my part) a complete image of what the standard installation includes.
Since Emacs 19 has appeared to stabilize, I will be working on one or two
more releases that have the following characteristics:

    1) A console.el file that automatically enables the use of the keypad
       keys when in a standard Linux VT.
    2) Support (or documentation) for keypad keys when in an xterm using
       "emacs -nw"
    3) Better organization of the tar.gz files, so that you can avoid
       picking up all of the *.el files (you only need the *.elc files).
    4) A special binary that does not include support for X.
    5) Binaries linked against the new DLL libraries (as soon as the
       compiler/library/kernel situation stabilizes).

Most of these enhancements will probably be ready next week.  Since I have
been spending most of my time compiling new releases and chasing bugs, I
have not been able to attend to these minor details.  Please send further
suggestions to [email-masked].

*** INSTALLATION NOTES ***

The binary gets installed in /usr/bin/emacs-19.12, so it will not
over-write /usr/bin/emacs.

The libraries and support files are in /usr/lib/emacs, so it will not
over-write /usr/emacs.

Info is in /usr/info, so it will not over-write /usr/emacs/info.

Man pages are installed in /usr/man/man1, so they will probably over-write
the old man pages.

These are the new standard places for emacs19 to install things when
prefix=/usr.  It is a Good Thing that these choices also allow the
installation of emacs19 without messing up the emacs18 installation.

When you get emacs19 up, be sure that your .emacs file doesn't have the
emacs18 lisp files in the load-path before the emacs19 lisp files, or you
will get all sorts of interesting errors.  Please see the
emacs-19.12-A.Notes file for other suggestions on getting things working.

Please send patches and bug reports to [email-masked]